Package org.eclipse.emf.cdo.lm.impl

# Class StreamImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.BaselineImpl
org.eclipse.emf.cdo.lm.impl.FloatingBaselineImpl
org.eclipse.emf.cdo.lm.impl.StreamImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Baseline`, `FloatingBaseline`, `ModuleElement`, `Stream`, `StreamElement`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class StreamImpl extends FloatingBaselineImpl implements Stream
An implementation of the model object 'Stream'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Module`
  - `Base`
  - `Start Time Stamp`
  - `Major Version`
  - `Minor Version`
  - `Code Name`
  - `Allowed Changes`
  - `Mode`
  - `Development Branch`
  - `Maintenance Branch`
  - `Contents`
  - `Maintenance Time Stamp`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final Impact`
`ALLOWED_CHANGES_EDEFAULT`
The default value of the '`Allowed Changes`' attribute.
`protected static final String`
`CODE_NAME_EDEFAULT`
The default value of the '`Code Name`' attribute.
`protected static final CDOBranchRef`
`DEVELOPMENT_BRANCH_EDEFAULT`
The default value of the '`Development Branch`' attribute.
`protected static final CDOBranchRef`
`MAINTENANCE_BRANCH_EDEFAULT`
The default value of the '`Maintenance Branch`' attribute.
`protected static final long`
`MAINTENANCE_TIME_STAMP_EDEFAULT`
The default value of the '`Maintenance Time Stamp`' attribute.
`protected static final int`
`MAJOR_VERSION_EDEFAULT`
The default value of the '`Major Version`' attribute.
`protected static final int`
`MINOR_VERSION_EDEFAULT`
The default value of the '`Minor Version`' attribute.
`protected static final StreamMode`
`MODE_EDEFAULT`
The default value of the '`Mode`' attribute.
`protected static final long`
`START_TIME_STAMP_EDEFAULT`
The default value of the '`Start Time Stamp`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.FloatingBaselineImpl

`CLOSED_EDEFAULT`

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`FLOATING_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StreamImpl()`

## Method Summary

Modifier and Type
Method
Description
`Drop`
`basicGetBase()`
`NotificationChain`
`basicSetModule(Module newModule, NotificationChain msgs)`
`NotificationChain`
`eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`Object`
`eInvoke(int operationID, EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`void`
`forEachBaseline(Consumer<Baseline> consumer)`
`boolean`
`forEachBaseline(Predicate<Baseline> predicate)`
`Impact`
`getAllowedChanges()`
`Drop`
`getBase()`
`EList<Change>`
`getBasedChanges()`
`Baseline`
`getBaseline(String baselineName)`
`long`
`getBaseTimeStamp()`
`CDOBranchRef`
`getBranch()`
`CDOBranchPointRef`
`getBranchPoint(long timeStamp)`
`String`
`getCodeName()`
`EList<Baseline>`
`getContents()`
`EList<Delivery>`
`getDeliveries()`
`Delivery`
`getDelivery(Change change)`
`CDOBranchRef`
`getDevelopmentBranch()`
`Drop`
`getFirstRelease()`
`Drop`
`getLastRelease()`
`CDOBranchRef`
`getMaintenanceBranch()`
`long`
`getMaintenanceTimeStamp()`
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`StreamMode`
`getMode()`
`Module`
`getModule()`
`String`
`getName()`
`EList<Drop>`
`getReleases()`
`long`
`getStartTimeStamp()`
`int`
`insertContent(Baseline baseline)`
`void`
`setAllowedChanges(Impact newAllowedChanges)`
`void`
`setBase(Drop newBase)`
`void`
`setCodeName(String newCodeName)`
`void`
`setDevelopmentBranch(CDOBranchRef newDevelopmentBranch)`
`void`
`setMaintenanceBranch(CDOBranchRef newMaintenanceBranch)`
`void`
`setMaintenanceTimeStamp(long newMaintenanceTimeStamp)`
`void`
`setMajorVersion(int newMajorVersion)`
`void`
`setMinorVersion(int newMinorVersion)`
`void`
`setModule(Module newModule)`
`void`
`setStartTimeStamp(long newStartTimeStamp)`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.FloatingBaselineImpl

`getBranchPoint, getBranchPoint, isClosed, isFloating, setClosed`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`basicSetStream, change, extended, getStream, getSystem, getTypeAndName, getTypeName, name, setStream, time, type`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBranchPoint, getStream, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.FloatingBaseline

`isClosed, setClosed`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### START_TIME_STAMP_EDEFAULT

protected static final long START_TIME_STAMP_EDEFAULT
The default value of the '`Start Time Stamp`' attribute.

See Also:
  - `getStartTimeStamp()`
  - Constant Field Values
Generated
Ordered

### MAJOR_VERSION_EDEFAULT

protected static final int MAJOR_VERSION_EDEFAULT
The default value of the '`Major Version`' attribute.

See Also:
  - `getMajorVersion()`
  - Constant Field Values
Generated
Ordered

### MINOR_VERSION_EDEFAULT

protected static final int MINOR_VERSION_EDEFAULT
The default value of the '`Minor Version`' attribute.

See Also:
  - `getMinorVersion()`
  - Constant Field Values
Generated
  NOT
Ordered

### CODE_NAME_EDEFAULT

protected static final String CODE_NAME_EDEFAULT
The default value of the '`Code Name`' attribute.

See Also:
  - `getCodeName()`
Generated
Ordered

### ALLOWED_CHANGES_EDEFAULT

protected static final Impact ALLOWED_CHANGES_EDEFAULT
The default value of the '`Allowed Changes`' attribute.

See Also:
  - `getAllowedChanges()`
Generated
Ordered

### MODE_EDEFAULT

protected static final StreamMode MODE_EDEFAULT
The default value of the '`Mode`' attribute.

See Also:
  - `getMode()`
Generated
Ordered

### DEVELOPMENT_BRANCH_EDEFAULT

protected static final CDOBranchRef DEVELOPMENT_BRANCH_EDEFAULT
The default value of the '`Development Branch`' attribute.

See Also:
  - `getDevelopmentBranch()`
Generated
  NOT
Ordered

### MAINTENANCE_BRANCH_EDEFAULT

protected static final CDOBranchRef MAINTENANCE_BRANCH_EDEFAULT
The default value of the '`Maintenance Branch`' attribute.

See Also:
  - `getMaintenanceBranch()`
Generated
  NOT
Ordered

### MAINTENANCE_TIME_STAMP_EDEFAULT

protected static final long MAINTENANCE_TIME_STAMP_EDEFAULT
The default value of the '`Maintenance Time Stamp`' attribute.

See Also:
  - `getMaintenanceTimeStamp()`
  - Constant Field Values
Generated
Ordered

## Constructor Details

### StreamImpl

protected StreamImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `FloatingBaselineImpl`
Generated

### getModule

public Module getModule()

Specified by:
  `getModule` in interface `ModuleElement`
Specified by:
  `getModule` in interface `Stream`
Overrides:
  `getModule` in class `BaselineImpl`
Returns:
  the value of the 'Module' container reference.
See Also:
  - `Stream.setModule(org.eclipse.emf.cdo.lm.Module)`
  - `LMPackage.getStream_Module()`
  - `Module.getStreams()`
Generated

### basicSetModule

public NotificationChain basicSetModule(Module newModule, NotificationChain msgs)

Generated

### setModule

public void setModule(Module newModule)

Specified by:
  `setModule` in interface `Stream`
Parameters:
  `newModule` - the new value of the 'Module' container reference.
See Also:
  - `Stream.getModule()`
Generated

### getBase

public Drop getBase()

Specified by:
  `getBase` in interface `FloatingBaseline`
Specified by:
  `getBase` in interface `Stream`
Specified by:
  `getBase` in class `FloatingBaselineImpl`
Returns:
  the value of the 'Base' reference.
See Also:
  - `Stream.setBase(Drop)`
  - `LMPackage.getStream_Base()`
Generated

### basicGetBase

public Drop basicGetBase()

Generated

### setBase

public void setBase(Drop newBase)

Specified by:
  `setBase` in interface `Stream`
Parameters:
  `newBase` - the new value of the 'Base' reference.
See Also:
  - `Stream.getBase()`
Generated

### getBaseTimeStamp

public long getBaseTimeStamp()
Description copied from class: `BaselineImpl`

Specified by:
  `getBaseTimeStamp` in interface `Baseline`
Specified by:
  `getBaseTimeStamp` in class `BaselineImpl`

### getStartTimeStamp

public long getStartTimeStamp()

Specified by:
  `getStartTimeStamp` in interface `Stream`
Returns:
  the value of the 'Start Time Stamp' attribute.
See Also:
  - `Stream.setStartTimeStamp(long)`
  - `LMPackage.getStream_StartTimeStamp()`
Generated

### setStartTimeStamp

public void setStartTimeStamp(long newStartTimeStamp)

Specified by:
  `setStartTimeStamp` in interface `Stream`
Parameters:
  `newStartTimeStamp` - the new value of the 'Start Time Stamp' attribute.
See Also:
  - `Stream.getStartTimeStamp()`
Generated

### getMajorVersion

public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Stream`
Returns:
  the value of the 'Major Version' attribute.
See Also:
  - `Stream.setMajorVersion(int)`
  - `LMPackage.getStream_MajorVersion()`
Generated

### setMajorVersion

public void setMajorVersion(int newMajorVersion)

Specified by:
  `setMajorVersion` in interface `Stream`
Parameters:
  `newMajorVersion` - the new value of the 'Major Version' attribute.
See Also:
  - `Stream.getMajorVersion()`
Generated

### getMinorVersion

public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Stream`
Returns:
  the value of the 'Minor Version' attribute.
See Also:
  - `Stream.setMinorVersion(int)`
  - `LMPackage.getStream_MinorVersion()`
Generated

### setMinorVersion

public void setMinorVersion(int newMinorVersion)

Specified by:
  `setMinorVersion` in interface `Stream`
Parameters:
  `newMinorVersion` - the new value of the 'Minor Version' attribute.
See Also:
  - `Stream.getMinorVersion()`
Generated

### getCodeName

public String getCodeName()

Specified by:
  `getCodeName` in interface `Stream`
Returns:
  the value of the 'Code Name' attribute.
See Also:
  - `Stream.setCodeName(String)`
  - `LMPackage.getStream_CodeName()`
Generated

### setCodeName

public void setCodeName(String newCodeName)

Specified by:
  `setCodeName` in interface `Stream`
Parameters:
  `newCodeName` - the new value of the 'Code Name' attribute.
See Also:
  - `Stream.getCodeName()`
Generated

### getAllowedChanges

public Impact getAllowedChanges()

Specified by:
  `getAllowedChanges` in interface `Stream`
Returns:
  the value of the 'Allowed Changes' attribute.
See Also:
  - `Impact`
  - `Stream.setAllowedChanges(Impact)`
  - `LMPackage.getStream_AllowedChanges()`
Generated

### setAllowedChanges

public void setAllowedChanges(Impact newAllowedChanges)

Specified by:
  `setAllowedChanges` in interface `Stream`
Parameters:
  `newAllowedChanges` - the new value of the 'Allowed Changes' attribute.
See Also:
  - `Impact`
  - `Stream.getAllowedChanges()`
Generated

### getContents

public EList<Baseline> getContents()

Specified by:
  `getContents` in interface `Stream`
Returns:
  the value of the 'Contents' containment reference list.
See Also:
  - `LMPackage.getStream_Contents()`
  - `Baseline.getStream()`
Generated

### getMaintenanceTimeStamp

public long getMaintenanceTimeStamp()

Specified by:
  `getMaintenanceTimeStamp` in interface `Stream`
Returns:
  the value of the 'Maintenance Time Stamp' attribute.
See Also:
  - `Stream.setMaintenanceTimeStamp(long)`
  - `LMPackage.getStream_MaintenanceTimeStamp()`
Generated

### setMaintenanceTimeStamp

public void setMaintenanceTimeStamp(long newMaintenanceTimeStamp)

Specified by:
  `setMaintenanceTimeStamp` in interface `Stream`
Parameters:
  `newMaintenanceTimeStamp` - the new value of the 'Maintenance Time Stamp' attribute.
See Also:
  - `Stream.getMaintenanceTimeStamp()`
Generated

### insertContent

public int insertContent(Baseline baseline)

Specified by:
  `insertContent` in interface `Stream`
Generated
  NOT

### getBranchPoint

public CDOBranchPointRef getBranchPoint(long timeStamp)

Specified by:
  `getBranchPoint` in interface `Stream`
Generated
  NOT

### getDeliveries

public EList<Delivery> getDeliveries()
Description copied from class: `FloatingBaselineImpl`

Specified by:
  `getDeliveries` in interface `FloatingBaseline`
Specified by:
  `getDeliveries` in class `FloatingBaselineImpl`

### getMode

public StreamMode getMode()

Specified by:
  `getMode` in interface `Stream`
Returns:
  the value of the 'Mode' attribute.
See Also:
  - `StreamMode`
  - invalid reference

        #setMode(StreamMode)

  - `LMPackage.getStream_Mode()`
Generated
  NOT

### getDevelopmentBranch

public CDOBranchRef getDevelopmentBranch()

Specified by:
  `getDevelopmentBranch` in interface `Stream`
Returns:
  the value of the 'Development Branch' attribute.
See Also:
  - `Stream.setDevelopmentBranch(CDOBranchRef)`
  - `LMPackage.getStream_DevelopmentBranch()`
Generated

### setDevelopmentBranch

public void setDevelopmentBranch(CDOBranchRef newDevelopmentBranch)

Specified by:
  `setDevelopmentBranch` in interface `Stream`
Parameters:
  `newDevelopmentBranch` - the new value of the 'Development Branch' attribute.
See Also:
  - `Stream.getDevelopmentBranch()`
Generated

### getMaintenanceBranch

public CDOBranchRef getMaintenanceBranch()

Specified by:
  `getMaintenanceBranch` in interface `Stream`
Returns:
  the value of the 'Maintenance Branch' attribute.
See Also:
  - `Stream.setMaintenanceBranch(CDOBranchRef)`
  - `LMPackage.getStream_MaintenanceBranch()`
Generated

### setMaintenanceBranch

public void setMaintenanceBranch(CDOBranchRef newMaintenanceBranch)

Specified by:
  `setMaintenanceBranch` in interface `Stream`
Parameters:
  `newMaintenanceBranch` - the new value of the 'Maintenance Branch' attribute.
See Also:
  - `Stream.getMaintenanceBranch()`
Generated

### getBranch

public CDOBranchRef getBranch()
Description copied from class: `FloatingBaselineImpl`

Specified by:
  `getBranch` in interface `FloatingBaseline`
Specified by:
  `getBranch` in class `FloatingBaselineImpl`

### getFirstRelease

public Drop getFirstRelease()

Specified by:
  `getFirstRelease` in interface `Stream`
Generated
  NOT

### getLastRelease

public Drop getLastRelease()

Specified by:
  `getLastRelease` in interface `Stream`
Generated
  NOT

### getReleases

public EList<Drop> getReleases()

Specified by:
  `getReleases` in interface `Stream`
Generated
  NOT

### getBasedChanges

public EList<Change> getBasedChanges()

Specified by:
  `getBasedChanges` in interface `Stream`
Generated
  NOT

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BaselineImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BaselineImpl`
Generated

### eBasicRemoveFromContainerFeature

public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `BaselineImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `FloatingBaselineImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `FloatingBaselineImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `FloatingBaselineImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `FloatingBaselineImpl`
Generated

### eInvoke

public Object eInvoke(int operationID, EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `InternalEObject`
Overrides:
  `eInvoke` in class `FloatingBaselineImpl`
Throws:
  `InvocationTargetException`
Generated

### getName

public String getName()
Description copied from class: `BaselineImpl`

Specified by:
  `getName` in interface `Baseline`
Specified by:
  `getName` in class `BaselineImpl`

### forEachBaseline

public void forEachBaseline(Consumer<Baseline> consumer)

Specified by:
  `forEachBaseline` in interface `Stream`

### forEachBaseline

public boolean forEachBaseline(Predicate<Baseline> predicate)

Specified by:
  `forEachBaseline` in interface `Stream`

### getBaseline

public Baseline getBaseline(String baselineName)

Specified by:
  `getBaseline` in interface `Stream`

### getDelivery

public Delivery getDelivery(Change change)

Specified by:
  `getDelivery` in interface `Stream`